> ## Documentation Index
> Fetch the complete documentation index at: https://pingback.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar Segmentações

> Retorna uma lista paginada de segmentações. Cada página contém 10 segmentações.



## OpenAPI

````yaml GET /segments
openapi: 3.1.0
info:
  title: Pingback Connect API
  description: Public API v2 for managing contacts in Pingback Connect.
  version: 2.0.0
  license:
    name: MIT
servers:
  - url: https://connect.pingback.com/v2
security:
  - apiKeyAuth: []
tags:
  - name: Contacts
    description: >-
      Operations related to contact management, including creation, retrieval,
      update, deletion, and listing of contacts.
  - name: Deals
    description: >-
      Operations related to deals, including creation, update, retrieval,
      deletion, and listing of deals.
  - name: Segments
    description: >-
      Operations related to segmentation lists, including listing segments and
      associating or removing contacts from segments.
  - name: Notes
    description: Operations related to notes, including creation and listing notes.
  - name: Email Verification
    description: >-
      Operations related to email verification, including validating email
      addresses and returning verification results.
paths:
  /segments:
    get:
      tags:
        - Segments
      summary: List segments
      description: Returns a paginated list of segments. Each page contains 10 results.
      parameters:
        - $ref: '#/components/parameters/DeveloperMode'
        - $ref: '#/components/parameters/ApiKey'
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
          example: 0
      responses:
        '200':
          description: Segments found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SegmentedListListResponse'
              examples:
                success:
                  value:
                    message: Segments found
                    data:
                      page: 0
                      total: 66
                      data:
                        - id: 6a14938e-04eb-42e3-baf7-b3f78fe78fff
                          name: List 1
                          createdAt: '2025-10-15T13:47:02.577Z'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    DeveloperMode:
      name: x-developer-mode
      in: header
      required: false
      schema:
        type: boolean
    ApiKey:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
  schemas:
    SegmentedListListResponse:
      type: object
      properties:
        message:
          type: string
          example: Segments found
        data:
          type: object
          properties:
            page:
              type: integer
            total:
              type: integer
            data:
              type: array
              items:
                $ref: '#/components/schemas/SegmentedList'
    SegmentedList:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        createdAt:
          type: string
          format: date-time
    Error:
      type: object
      required: []
      properties:
        error:
          type: string
          description: Error description
        requestId:
          type: string
          description: Request ID
        errorCode:
          type: string
          description: Error code
  responses:
    Forbidden:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            forbidden:
              summary: Access denied
              value:
                error: >-
                  User is not authorized to access this resource with an
                  explicit deny in an identity-based policy.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: FORBIDDEN
    InternalServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            internal_error:
              summary: Internal server error
              value:
                error: An unexpected error occurred.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: INTERNAL_SERVER_ERROR
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````